set terminal fig size 10 8 metric monochrome textspecial
set output "plot/superdator.fig"

set title "Fastest general-purpose supercomputers"
set xlabel "Year"
set ylabel "Peak speed [Flops]" offset character -1

set logscale y  10

set grid 

# Remove legend:
unset key

set ytics ("100 k" 100e3, "1 M" 1e6, "10 M" 10e6, "100 M" 100e6, "1 G" 1e9, \
           "10 G" 10e9, "100 G" 100e9, "1 T" 1e12, "10 T" 10e12, "100 T" 100e12, "1 P" 1e15)

set xrange [1960:2010] 
set yrange [100e3:1e15]

plot  "data/superdator.dat" axes x1y1 with linespoints 1 5

